/asana-task-details | Type: Application | PCID required: Yes
Tools
asana_task_details_add_task_for_section
Add task to section Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
section_gid | string | Yes | — | The globally unique identifier for the section. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"section_gid": {
"type": "string",
"description": "The globally unique identifier for the section."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"task": {
"type": "string",
"description": "The task to add to this section."
},
"insert_before": {
"type": "string",
"description": "An existing task within this section before which the added task should be inserted. Cannot be provided together with insert_after."
},
"insert_after": {
"type": "string",
"description": "An existing task within this section after which the added task should be inserted. Cannot be provided together with insert_before."
}
},
"required": [
"task"
]
}
},
"required": [
"PCID",
"section_gid"
]
}
asana_task_details_create_section_for_project
Create a section in a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_gid | string | Yes | — | Globally unique identifier for the project. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_gid": {
"type": "string",
"description": "Globally unique identifier for the project."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at",
"name",
"project",
"project.name",
"projects",
"projects.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"name": {
"type": "string",
"description": "The text to be displayed as the section name. This cannot be an empty string."
},
"insert_before": {
"type": "string",
"description": "An existing section within this project before which the added section should be inserted. Cannot be provided together with insert_after."
},
"insert_after": {
"type": "string",
"description": "An existing section within this project after which the added section should be inserted. Cannot be provided together with insert_before."
}
},
"required": [
"name"
]
}
},
"required": [
"PCID",
"project_gid"
]
}
asana_task_details_create_story_for_task
Create a story on a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | A story represents an activity associated with an object in the Asana system. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_gid": {
"type": "string",
"description": "The task to operate on."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"assignee",
"assignee.name",
"created_at",
"created_by",
"created_by.name",
"custom_field",
"custom_field.date_value",
"custom_field.date_value.date",
"custom_field.date_value.date_time",
"custom_field.display_value",
"custom_field.enabled",
"custom_field.enum_options",
"custom_field.enum_options.color",
"custom_field.enum_options.enabled",
"custom_field.enum_options.name",
"custom_field.enum_value",
"custom_field.enum_value.color",
"custom_field.enum_value.enabled",
"custom_field.enum_value.name",
"custom_field.id_prefix",
"custom_field.input_restrictions",
"custom_field.is_formula_field",
"custom_field.multi_enum_values",
"custom_field.multi_enum_values.color",
"custom_field.multi_enum_values.enabled",
"custom_field.multi_enum_values.name",
"custom_field.name",
"custom_field.number_value",
"custom_field.representation_type",
"custom_field.text_value",
"custom_field.type",
"dependency",
"dependency.created_by",
"dependency.name",
"dependency.resource_subtype",
"duplicate_of",
"duplicate_of.created_by",
"duplicate_of.name",
"duplicate_of.resource_subtype",
"duplicated_from",
"duplicated_from.created_by",
"duplicated_from.name",
"duplicated_from.resource_subtype",
"follower",
"follower.name",
"hearted",
"hearts",
"hearts.user",
"hearts.user.name",
"html_text",
"is_editable",
"is_edited",
"is_pinned",
"liked",
"likes",
"likes.user",
"likes.user.name",
"new_approval_status",
"new_date_value",
"new_dates",
"new_dates.due_at",
"new_dates.due_on",
"new_dates.start_on",
"new_enum_value",
"new_enum_value.color",
"new_enum_value.enabled",
"new_enum_value.name",
"new_multi_enum_values",
"new_multi_enum_values.color",
"new_multi_enum_values.enabled",
"new_multi_enum_values.name",
"new_name",
"new_number_value",
"new_people_value",
"new_people_value.name",
"new_resource_subtype",
"new_section",
"new_section.name",
"new_text_value",
"num_hearts",
"num_likes",
"old_approval_status",
"old_date_value",
"old_dates",
"old_dates.due_at",
"old_dates.due_on",
"old_dates.start_on",
"old_enum_value",
"old_enum_value.color",
"old_enum_value.enabled",
"old_enum_value.name",
"old_multi_enum_values",
"old_multi_enum_values.color",
"old_multi_enum_values.enabled",
"old_multi_enum_values.name",
"old_name",
"old_number_value",
"old_people_value",
"old_people_value.name",
"old_resource_subtype",
"old_section",
"old_section.name",
"old_text_value",
"previews",
"previews.fallback",
"previews.footer",
"previews.header",
"previews.header_link",
"previews.html_text",
"previews.text",
"previews.title",
"previews.title_link",
"project",
"project.name",
"reaction_summary",
"reaction_summary.count",
"reaction_summary.emoji_base",
"reaction_summary.reacted",
"reaction_summary.variant",
"resource_subtype",
"source",
"sticker_name",
"story",
"story.created_at",
"story.created_by",
"story.created_by.name",
"story.resource_subtype",
"story.text",
"tag",
"tag.name",
"target",
"target.created_by",
"target.name",
"target.resource_subtype",
"task",
"task.created_by",
"task.name",
"task.resource_subtype",
"text",
"type"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "A story represents an activity associated with an object in the Asana system.",
"properties": {
"gid": {
"type": "string",
"description": "Globally unique identifier of the resource, as a string."
},
"resource_type": {
"type": "string",
"description": "The base type of this resource."
},
"created_at": {
"type": "string",
"description": "The time at which this resource was created."
},
"resource_subtype": {
"type": "string",
"description": "The subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning."
},
"text": {
"type": "string",
"description": "The plain text of the comment to add. Cannot be used with html_text."
},
"html_text": {
"type": "string",
"description": "[Opt In](/docs/inputoutput-options). HTML formatted text for a comment. This will not include the name of the creator."
},
"is_pinned": {
"type": "boolean",
"description": "*Conditional*. Whether the story should be pinned on the resource."
},
"sticker_name": {
"type": "string",
"description": "The name of the sticker in this story. `null` if there is no sticker.",
"enum": [
"green_checkmark",
"people_dancing",
"dancing_unicorn",
"heart",
"party_popper",
"people_waving_flags",
"splashing_narwhal",
"trophy",
"yeti_riding_unicorn",
"celebrating_people",
"determined_climbers",
"phoenix_spreading_love"
]
}
}
}
},
"required": [
"PCID",
"task_gid"
]
}
asana_task_details_create_tag
Create a tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"color",
"created_at",
"followers",
"followers.name",
"name",
"notes",
"permalink_url",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"description": "The data value"
}
},
"required": [
"PCID"
]
}
asana_task_details_create_tag_for_workspace
Create a tag in a workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_gid | string | Yes | — | Globally unique identifier for the workspace or organization. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_gid": {
"type": "string",
"description": "Globally unique identifier for the workspace or organization."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"color",
"created_at",
"followers",
"followers.name",
"name",
"notes",
"permalink_url",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"description": "The data value"
}
},
"required": [
"PCID",
"workspace_gid"
]
}
asana_task_details_create_time_tracking_entry
Create a time tracking entry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_gid": {
"type": "string",
"description": "The task to operate on."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"approval_status",
"attributable_to",
"attributable_to.name",
"billable_status",
"created_at",
"created_by",
"created_by.name",
"description",
"duration_minutes",
"entered_on",
"task",
"task.created_by",
"task.name",
"task.resource_subtype"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"duration_minutes": {
"type": "integer",
"description": "Time in minutes tracked by the entry. Must be greater than 0"
},
"entered_on": {
"type": "string",
"description": "*Optional*. The day that this entry is logged on. Defaults to today if not specified"
},
"attributable_to": {
"type": "string",
"description": "*Optional*. The gid of the project which the time is attributable to."
},
"billable_status": {
"type": "string",
"description": "*Optional*. The current billable status of the entry.",
"enum": [
"billable",
"nonBillable",
"notApplicable"
]
},
"description": {
"type": "string",
"description": "*Optional*. The description of the entry."
}
}
}
},
"required": [
"PCID",
"task_gid"
]
}
asana_task_details_delete_section
Delete a section Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
section_gid | string | Yes | — | The globally unique identifier for the section. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"section_gid": {
"type": "string",
"description": "The globally unique identifier for the section."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
}
},
"required": [
"PCID",
"section_gid"
]
}
asana_task_details_delete_story
Delete a story Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
story_gid | string | Yes | — | Globally unique identifier for the story. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"story_gid": {
"type": "string",
"description": "Globally unique identifier for the story."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
}
},
"required": [
"PCID",
"story_gid"
]
}
asana_task_details_delete_tag
Delete a tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
tag_gid | string | Yes | — | Globally unique identifier for the tag. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"tag_gid": {
"type": "string",
"description": "Globally unique identifier for the tag."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
}
},
"required": [
"PCID",
"tag_gid"
]
}
asana_task_details_delete_time_tracking_entry
Delete a time tracking entry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
time_tracking_entry_gid | string | Yes | — | Globally unique identifier for the time tracking entry. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"time_tracking_entry_gid": {
"type": "string",
"description": "Globally unique identifier for the time tracking entry."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
}
},
"required": [
"PCID",
"time_tracking_entry_gid"
]
}
asana_task_details_get_reactions_on_object
Get reactions with an emoji base on an object. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
target | string | Yes | — | Globally unique identifier for object to fetch reactions from. Must be a GID for a status update or story. |
emoji_base | string | Yes | — | Only return reactions with this emoji base character. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"target": {
"type": "string",
"description": "Globally unique identifier for object to fetch reactions from. Must be a GID for a status update or story."
},
"emoji_base": {
"type": "string",
"description": "Only return reactions with this emoji base character."
}
},
"required": [
"PCID",
"target",
"emoji_base"
]
}
asana_task_details_get_section
Get a section Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
section_gid | string | Yes | — | The globally unique identifier for the section. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"section_gid": {
"type": "string",
"description": "The globally unique identifier for the section."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at",
"name",
"project",
"project.name",
"projects",
"projects.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"section_gid"
]
}
asana_task_details_get_sections_for_project
Get sections in a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_gid | string | Yes | — | Globally unique identifier for the project. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_gid": {
"type": "string",
"description": "Globally unique identifier for the project."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at",
"name",
"offset",
"path",
"project",
"project.name",
"projects",
"projects.name",
"uri"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"project_gid"
]
}
asana_task_details_get_stories_for_task
Get stories from a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_gid": {
"type": "string",
"description": "The task to operate on."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"assignee",
"assignee.name",
"created_at",
"created_by",
"created_by.name",
"custom_field",
"custom_field.date_value",
"custom_field.date_value.date",
"custom_field.date_value.date_time",
"custom_field.display_value",
"custom_field.enabled",
"custom_field.enum_options",
"custom_field.enum_options.color",
"custom_field.enum_options.enabled",
"custom_field.enum_options.name",
"custom_field.enum_value",
"custom_field.enum_value.color",
"custom_field.enum_value.enabled",
"custom_field.enum_value.name",
"custom_field.id_prefix",
"custom_field.input_restrictions",
"custom_field.is_formula_field",
"custom_field.multi_enum_values",
"custom_field.multi_enum_values.color",
"custom_field.multi_enum_values.enabled",
"custom_field.multi_enum_values.name",
"custom_field.name",
"custom_field.number_value",
"custom_field.representation_type",
"custom_field.text_value",
"custom_field.type",
"dependency",
"dependency.created_by",
"dependency.name",
"dependency.resource_subtype",
"duplicate_of",
"duplicate_of.created_by",
"duplicate_of.name",
"duplicate_of.resource_subtype",
"duplicated_from",
"duplicated_from.created_by",
"duplicated_from.name",
"duplicated_from.resource_subtype",
"follower",
"follower.name",
"hearted",
"hearts",
"hearts.user",
"hearts.user.name",
"html_text",
"is_editable",
"is_edited",
"is_pinned",
"liked",
"likes",
"likes.user",
"likes.user.name",
"new_approval_status",
"new_date_value",
"new_dates",
"new_dates.due_at",
"new_dates.due_on",
"new_dates.start_on",
"new_enum_value",
"new_enum_value.color",
"new_enum_value.enabled",
"new_enum_value.name",
"new_multi_enum_values",
"new_multi_enum_values.color",
"new_multi_enum_values.enabled",
"new_multi_enum_values.name",
"new_name",
"new_number_value",
"new_people_value",
"new_people_value.name",
"new_resource_subtype",
"new_section",
"new_section.name",
"new_text_value",
"num_hearts",
"num_likes",
"offset",
"old_approval_status",
"old_date_value",
"old_dates",
"old_dates.due_at",
"old_dates.due_on",
"old_dates.start_on",
"old_enum_value",
"old_enum_value.color",
"old_enum_value.enabled",
"old_enum_value.name",
"old_multi_enum_values",
"old_multi_enum_values.color",
"old_multi_enum_values.enabled",
"old_multi_enum_values.name",
"old_name",
"old_number_value",
"old_people_value",
"old_people_value.name",
"old_resource_subtype",
"old_section",
"old_section.name",
"old_text_value",
"path",
"previews",
"previews.fallback",
"previews.footer",
"previews.header",
"previews.header_link",
"previews.html_text",
"previews.text",
"previews.title",
"previews.title_link",
"project",
"project.name",
"reaction_summary",
"reaction_summary.count",
"reaction_summary.emoji_base",
"reaction_summary.reacted",
"reaction_summary.variant",
"resource_subtype",
"source",
"sticker_name",
"story",
"story.created_at",
"story.created_by",
"story.created_by.name",
"story.resource_subtype",
"story.text",
"tag",
"tag.name",
"target",
"target.created_by",
"target.name",
"target.resource_subtype",
"task",
"task.created_by",
"task.name",
"task.resource_subtype",
"text",
"type",
"uri"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"task_gid"
]
}
asana_task_details_get_story
Get a story Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
story_gid | string | Yes | — | Globally unique identifier for the story. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"story_gid": {
"type": "string",
"description": "Globally unique identifier for the story."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"assignee",
"assignee.name",
"created_at",
"created_by",
"created_by.name",
"custom_field",
"custom_field.date_value",
"custom_field.date_value.date",
"custom_field.date_value.date_time",
"custom_field.display_value",
"custom_field.enabled",
"custom_field.enum_options",
"custom_field.enum_options.color",
"custom_field.enum_options.enabled",
"custom_field.enum_options.name",
"custom_field.enum_value",
"custom_field.enum_value.color",
"custom_field.enum_value.enabled",
"custom_field.enum_value.name",
"custom_field.id_prefix",
"custom_field.input_restrictions",
"custom_field.is_formula_field",
"custom_field.multi_enum_values",
"custom_field.multi_enum_values.color",
"custom_field.multi_enum_values.enabled",
"custom_field.multi_enum_values.name",
"custom_field.name",
"custom_field.number_value",
"custom_field.representation_type",
"custom_field.text_value",
"custom_field.type",
"dependency",
"dependency.created_by",
"dependency.name",
"dependency.resource_subtype",
"duplicate_of",
"duplicate_of.created_by",
"duplicate_of.name",
"duplicate_of.resource_subtype",
"duplicated_from",
"duplicated_from.created_by",
"duplicated_from.name",
"duplicated_from.resource_subtype",
"follower",
"follower.name",
"hearted",
"hearts",
"hearts.user",
"hearts.user.name",
"html_text",
"is_editable",
"is_edited",
"is_pinned",
"liked",
"likes",
"likes.user",
"likes.user.name",
"new_approval_status",
"new_date_value",
"new_dates",
"new_dates.due_at",
"new_dates.due_on",
"new_dates.start_on",
"new_enum_value",
"new_enum_value.color",
"new_enum_value.enabled",
"new_enum_value.name",
"new_multi_enum_values",
"new_multi_enum_values.color",
"new_multi_enum_values.enabled",
"new_multi_enum_values.name",
"new_name",
"new_number_value",
"new_people_value",
"new_people_value.name",
"new_resource_subtype",
"new_section",
"new_section.name",
"new_text_value",
"num_hearts",
"num_likes",
"old_approval_status",
"old_date_value",
"old_dates",
"old_dates.due_at",
"old_dates.due_on",
"old_dates.start_on",
"old_enum_value",
"old_enum_value.color",
"old_enum_value.enabled",
"old_enum_value.name",
"old_multi_enum_values",
"old_multi_enum_values.color",
"old_multi_enum_values.enabled",
"old_multi_enum_values.name",
"old_name",
"old_number_value",
"old_people_value",
"old_people_value.name",
"old_resource_subtype",
"old_section",
"old_section.name",
"old_text_value",
"previews",
"previews.fallback",
"previews.footer",
"previews.header",
"previews.header_link",
"previews.html_text",
"previews.text",
"previews.title",
"previews.title_link",
"project",
"project.name",
"reaction_summary",
"reaction_summary.count",
"reaction_summary.emoji_base",
"reaction_summary.reacted",
"reaction_summary.variant",
"resource_subtype",
"source",
"sticker_name",
"story",
"story.created_at",
"story.created_by",
"story.created_by.name",
"story.resource_subtype",
"story.text",
"tag",
"tag.name",
"target",
"target.created_by",
"target.name",
"target.resource_subtype",
"task",
"task.created_by",
"task.name",
"task.resource_subtype",
"text",
"type"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"story_gid"
]
}
asana_task_details_get_tag
Get a tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
tag_gid | string | Yes | — | Globally unique identifier for the tag. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"tag_gid": {
"type": "string",
"description": "Globally unique identifier for the tag."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"color",
"created_at",
"followers",
"followers.name",
"name",
"notes",
"permalink_url",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"tag_gid"
]
}
asana_task_details_get_tags
Get multiple tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
workspace | string | No | — | The workspace to filter tags on. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"workspace": {
"type": "string",
"description": "The workspace to filter tags on."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"color",
"created_at",
"followers",
"followers.name",
"name",
"notes",
"offset",
"path",
"permalink_url",
"uri",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID"
]
}
asana_task_details_get_tags_for_task
Get a task’s tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_gid": {
"type": "string",
"description": "The task to operate on."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"color",
"created_at",
"followers",
"followers.name",
"name",
"notes",
"offset",
"path",
"permalink_url",
"uri",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"task_gid"
]
}
asana_task_details_get_tags_for_workspace
Get tags in a workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_gid | string | Yes | — | Globally unique identifier for the workspace or organization. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_gid": {
"type": "string",
"description": "Globally unique identifier for the workspace or organization."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"color",
"created_at",
"followers",
"followers.name",
"name",
"notes",
"offset",
"path",
"permalink_url",
"uri",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"workspace_gid"
]
}
asana_task_details_get_time_tracking_entries
Get multiple time tracking entries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
task | string | No | — | Globally unique identifier for the task to filter time tracking entries by. |
attributable_to | string | No | — | Globally unique identifier for the project the time tracking entries are attributed to. |
portfolio | string | No | — | Globally unique identifier for the portfolio to filter time tracking entries by. |
user | string | No | — | Globally unique identifier for the user to filter time tracking entries by. |
workspace | string | No | — | Globally unique identifier for the workspace. At least one of entered_on_start_date or entered_on_end_date must be provided when filtering by workspace. |
entered_on_start_date | string | No | — | The start date for filtering time tracking entries by when they were entered. |
entered_on_end_date | string | No | — | The end date for filtering time tracking entries by when they were entered. |
timesheet_approval_status | string | No | — | Globally unique identifier for the timesheet approval status to filter time tracking entries by. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"task": {
"type": "string",
"description": "Globally unique identifier for the task to filter time tracking entries by."
},
"attributable_to": {
"type": "string",
"description": "Globally unique identifier for the project the time tracking entries are attributed to."
},
"portfolio": {
"type": "string",
"description": "Globally unique identifier for the portfolio to filter time tracking entries by."
},
"user": {
"type": "string",
"description": "Globally unique identifier for the user to filter time tracking entries by."
},
"workspace": {
"type": "string",
"description": "Globally unique identifier for the workspace. At least one of `entered_on_start_date` or `entered_on_end_date` must be provided when filtering by workspace."
},
"entered_on_start_date": {
"type": "string",
"description": "The start date for filtering time tracking entries by when they were entered."
},
"entered_on_end_date": {
"type": "string",
"description": "The end date for filtering time tracking entries by when they were entered."
},
"timesheet_approval_status": {
"type": "string",
"description": "Globally unique identifier for the timesheet approval status to filter time tracking entries by."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"attributable_to",
"attributable_to.name",
"created_by",
"created_by.name",
"duration_minutes",
"entered_on",
"offset",
"path",
"uri"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID"
]
}
asana_task_details_get_time_tracking_entries_for_task
Get time tracking entries for a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"task_gid": {
"type": "string",
"description": "The task to operate on."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"attributable_to",
"attributable_to.name",
"created_by",
"created_by.name",
"duration_minutes",
"entered_on",
"offset",
"path",
"uri"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"task_gid"
]
}
asana_task_details_get_time_tracking_entry
Get a time tracking entry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
time_tracking_entry_gid | string | Yes | — | Globally unique identifier for the time tracking entry. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"time_tracking_entry_gid": {
"type": "string",
"description": "Globally unique identifier for the time tracking entry."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"approval_status",
"attributable_to",
"attributable_to.name",
"billable_status",
"created_at",
"created_by",
"created_by.name",
"description",
"duration_minutes",
"entered_on",
"task",
"task.created_by",
"task.name",
"task.resource_subtype"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"time_tracking_entry_gid"
]
}
asana_task_details_insert_section_for_project
Move or Insert sections Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_gid | string | Yes | — | Globally unique identifier for the project. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_gid": {
"type": "string",
"description": "Globally unique identifier for the project."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"section": {
"type": "string",
"description": "The section to reorder."
},
"before_section": {
"type": "string",
"description": "Insert the given section immediately before the section specified by this parameter."
},
"after_section": {
"type": "string",
"description": "Insert the given section immediately after the section specified by this parameter."
}
},
"required": [
"section"
]
}
},
"required": [
"PCID",
"project_gid"
]
}
asana_task_details_update_section
Update a section Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
section_gid | string | Yes | — | The globally unique identifier for the section. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"section_gid": {
"type": "string",
"description": "The globally unique identifier for the section."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at",
"name",
"project",
"project.name",
"projects",
"projects.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"name": {
"type": "string",
"description": "The text to be displayed as the section name. This cannot be an empty string."
},
"insert_before": {
"type": "string",
"description": "An existing section within this project before which the added section should be inserted. Cannot be provided together with insert_after."
},
"insert_after": {
"type": "string",
"description": "An existing section within this project after which the added section should be inserted. Cannot be provided together with insert_before."
}
},
"required": [
"name"
]
}
},
"required": [
"PCID",
"section_gid"
]
}
asana_task_details_update_story
Update a story Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
story_gid | string | Yes | — | Globally unique identifier for the story. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | A story represents an activity associated with an object in the Asana system. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"story_gid": {
"type": "string",
"description": "Globally unique identifier for the story."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"assignee",
"assignee.name",
"created_at",
"created_by",
"created_by.name",
"custom_field",
"custom_field.date_value",
"custom_field.date_value.date",
"custom_field.date_value.date_time",
"custom_field.display_value",
"custom_field.enabled",
"custom_field.enum_options",
"custom_field.enum_options.color",
"custom_field.enum_options.enabled",
"custom_field.enum_options.name",
"custom_field.enum_value",
"custom_field.enum_value.color",
"custom_field.enum_value.enabled",
"custom_field.enum_value.name",
"custom_field.id_prefix",
"custom_field.input_restrictions",
"custom_field.is_formula_field",
"custom_field.multi_enum_values",
"custom_field.multi_enum_values.color",
"custom_field.multi_enum_values.enabled",
"custom_field.multi_enum_values.name",
"custom_field.name",
"custom_field.number_value",
"custom_field.representation_type",
"custom_field.text_value",
"custom_field.type",
"dependency",
"dependency.created_by",
"dependency.name",
"dependency.resource_subtype",
"duplicate_of",
"duplicate_of.created_by",
"duplicate_of.name",
"duplicate_of.resource_subtype",
"duplicated_from",
"duplicated_from.created_by",
"duplicated_from.name",
"duplicated_from.resource_subtype",
"follower",
"follower.name",
"hearted",
"hearts",
"hearts.user",
"hearts.user.name",
"html_text",
"is_editable",
"is_edited",
"is_pinned",
"liked",
"likes",
"likes.user",
"likes.user.name",
"new_approval_status",
"new_date_value",
"new_dates",
"new_dates.due_at",
"new_dates.due_on",
"new_dates.start_on",
"new_enum_value",
"new_enum_value.color",
"new_enum_value.enabled",
"new_enum_value.name",
"new_multi_enum_values",
"new_multi_enum_values.color",
"new_multi_enum_values.enabled",
"new_multi_enum_values.name",
"new_name",
"new_number_value",
"new_people_value",
"new_people_value.name",
"new_resource_subtype",
"new_section",
"new_section.name",
"new_text_value",
"num_hearts",
"num_likes",
"old_approval_status",
"old_date_value",
"old_dates",
"old_dates.due_at",
"old_dates.due_on",
"old_dates.start_on",
"old_enum_value",
"old_enum_value.color",
"old_enum_value.enabled",
"old_enum_value.name",
"old_multi_enum_values",
"old_multi_enum_values.color",
"old_multi_enum_values.enabled",
"old_multi_enum_values.name",
"old_name",
"old_number_value",
"old_people_value",
"old_people_value.name",
"old_resource_subtype",
"old_section",
"old_section.name",
"old_text_value",
"previews",
"previews.fallback",
"previews.footer",
"previews.header",
"previews.header_link",
"previews.html_text",
"previews.text",
"previews.title",
"previews.title_link",
"project",
"project.name",
"reaction_summary",
"reaction_summary.count",
"reaction_summary.emoji_base",
"reaction_summary.reacted",
"reaction_summary.variant",
"resource_subtype",
"source",
"sticker_name",
"story",
"story.created_at",
"story.created_by",
"story.created_by.name",
"story.resource_subtype",
"story.text",
"tag",
"tag.name",
"target",
"target.created_by",
"target.name",
"target.resource_subtype",
"task",
"task.created_by",
"task.name",
"task.resource_subtype",
"text",
"type"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "A story represents an activity associated with an object in the Asana system.",
"properties": {
"gid": {
"type": "string",
"description": "Globally unique identifier of the resource, as a string."
},
"resource_type": {
"type": "string",
"description": "The base type of this resource."
},
"created_at": {
"type": "string",
"description": "The time at which this resource was created."
},
"resource_subtype": {
"type": "string",
"description": "The subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning."
},
"text": {
"type": "string",
"description": "The plain text of the comment to add. Cannot be used with html_text."
},
"html_text": {
"type": "string",
"description": "[Opt In](/docs/inputoutput-options). HTML formatted text for a comment. This will not include the name of the creator."
},
"is_pinned": {
"type": "boolean",
"description": "*Conditional*. Whether the story should be pinned on the resource."
},
"sticker_name": {
"type": "string",
"description": "The name of the sticker in this story. `null` if there is no sticker.",
"enum": [
"green_checkmark",
"people_dancing",
"dancing_unicorn",
"heart",
"party_popper",
"people_waving_flags",
"splashing_narwhal",
"trophy",
"yeti_riding_unicorn",
"celebrating_people",
"determined_climbers",
"phoenix_spreading_love"
]
}
}
}
},
"required": [
"PCID",
"story_gid"
]
}
asana_task_details_update_tag
Update a tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
tag_gid | string | Yes | — | Globally unique identifier for the tag. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"tag_gid": {
"type": "string",
"description": "Globally unique identifier for the tag."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"color",
"created_at",
"followers",
"followers.name",
"name",
"notes",
"permalink_url",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"description": "The data value"
}
},
"required": [
"PCID",
"tag_gid"
]
}
asana_task_details_update_time_tracking_entry
Update a time tracking entry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
time_tracking_entry_gid | string | Yes | — | Globally unique identifier for the time tracking entry. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"time_tracking_entry_gid": {
"type": "string",
"description": "Globally unique identifier for the time tracking entry."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"approval_status",
"attributable_to",
"attributable_to.name",
"billable_status",
"created_at",
"created_by",
"created_by.name",
"description",
"duration_minutes",
"entered_on",
"task",
"task.created_by",
"task.name",
"task.resource_subtype"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"duration_minutes": {
"type": "integer",
"description": "*Optional*. Time in minutes tracked by the entry"
},
"entered_on": {
"type": "string",
"description": "*Optional*. The day that this entry is logged on. Defaults to today if no day specified"
},
"attributable_to": {
"type": "string",
"description": "*Optional*. The gid of the project which the time is attributable to."
},
"billable_status": {
"type": "string",
"description": "*Optional*. The current billable status of the entry.",
"enum": [
"billable",
"nonBillable",
"notApplicable"
]
},
"description": {
"type": "string",
"description": "*Optional*. The description of the entry."
}
}
}
},
"required": [
"PCID",
"time_tracking_entry_gid"
]
}

